Bug 536867 - Need to throttle/prohibit any syncs that allow per-second granularity.
Need to throttle/prohibit any syncs that allow per-second granularity.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
unspecified
All Linux
low Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
: SubBug
Depends On:
Blocks: rhq_spearhead rhq_core_next
  Show dependency treegraph
 
Reported: 2009-11-11 11:30 EST by Corey Welton
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 13:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-11-11 11:30:07 EST
Description of problem:

The cron-esque quartz scheduler used in rhq has six fields - not five.  One of these is for seconds, and we certainly don't need/want that kind of granularity, least of all for content sync.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Go to sync schedule in content 
2.  Modify sync cronjob to read "*/1 * * * * ?"; submit
3.  Watch your server logs as you attempt to sync every second.
  
Actual results:

Too many synchs scheduled.

Expected results:

Probably need to kill any ability to schedule per-second...


Additional info:
Comment 1 wes hayutin 2010-02-16 11:57:20 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:02:26 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.